Chromium Code Reviews
Help | Chromium Project | Sign in
(76)

Issue 22280002: use custom_element pkg (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 7 months ago by John Messerly
Modified:
1 year, 7 months ago
CC:
reviews_dartlang.org, web-ui-dev+reviews_dartlang.org
Base URL:
https://github.com/dart-lang/web-ui.git@master
Visibility:
Public.

Description

use custom_element pkg an alternate approach to noSuchMethod... WDYT? also workaround the Map issue someone reported R=sigmund@google.com Committed: https://github.com/dart-lang/web-ui/commit/7cfc4f1

Patch Set 1 #

Patch Set 2 : #

Total comments: 2

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -8 lines) Patch
M lib/observe/map.dart View 1 2 1 chunk +4 lines, -3 lines 0 comments Download
M lib/web_ui.dart View 1 3 chunks +2 lines, -5 lines 0 comments Download
M pubspec.yaml View 1 chunk +1 line, -0 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 4 (0 generated)
John Messerly
1 year, 7 months ago (2013-08-05 21:05:06 UTC) #1
Siggi Cherem (dart-lang)
lgtm it's worth a try. Seems like yes, the warning is there, but only when ...
1 year, 7 months ago (2013-08-05 22:02:06 UTC) #2
John Messerly
Committed patchset #3 manually as r7cfc4f1 (presubmit successful).
1 year, 7 months ago (2013-08-06 00:03:08 UTC) #3
John Messerly
1 year, 7 months ago (2013-08-06 16:35:33 UTC) #4
Message was sent while issue was closed.
https://codereview.chromium.org/22280002/diff/2001/lib/observe/map.dart
File lib/observe/map.dart (right):

https://codereview.chromium.org/22280002/diff/2001/lib/observe/map.dart#newco...
lib/observe/map.dart:46: factory ObservableMap.from(Map/*<K, V>*/ other,
{MapFactory/*<K, V>*/ createMap}) {
On 2013/08/05 22:02:06, Siggi Cherem (dart-lang) wrote:
> 80 col

Done.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ecdb341-tainted